package com.bonus.canteen.core.order.custom.po;

public class OrderCustomMobileCustInfoPO {
   private String openid;
   private Long custId;
   private Integer sourceType;

   public String getOpenid() {
      return this.openid;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   private OrderCustomMobileCustInfoPO(final String openid, final Long custId, final Integer sourceType) {
      this.openid = openid;
      this.custId = custId;
      this.sourceType = sourceType;
   }

   public static OrderCustomMobileCustInfoPO of(final String openid, final Long custId, final Integer sourceType) {
      return new OrderCustomMobileCustInfoPO(openid, custId, sourceType);
   }
}
